> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/de/aktionen/workflow-concepts/run-once/trigger/incoming-webhook.md).

# Eingehender Webhook-Trigger

Einen Workflow mit einem eingehenden Webhook auslösen

## Wie Sie Ihren Workflow mit einem eingehenden Webhook auslösen

### 1. Erstellen Sie einen Workflow mit einer JSON-Eingabe

Um einen Workflow mit einem eingehenden Webhook auszulösen, müssen Sie zunächst sicherstellen, dass Ihr Workflow einen JSON-Eingabewert hat:

{% @arcade/embed url="<https://app.arcade.software/share/c3phBccxDiEZkJjtHpvB>" flowId="c3phBccxDiEZkJjtHpvB" %}

### 2. Veröffentlichen Sie Ihren Workflow

Veröffentlichen Sie anschließend Ihren Workflow, indem Sie auf **Veröffentlichen** Workflow in der oberen rechten Ecke des Workflow Studios klicken.

### 3. Konfigurieren Sie die Webhook-URL

Konfigurieren Sie nun Ihre Webhook-URL mit Ihrer [App-UUID und API-Schlüssel](/docs/de/aktionen/workflow-concepts/run-once/api.md):

```bash
curl --request POST \
     --url 'https://app.airops.com/public_api/airops_apps/YOUR_APP_UUID/webhook_async_execute?auth_token=YOUR_API_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "custom_parameter": "Benutzerdefinierter Wert"
}
'
```

Sie können nun Ihre API testen, indem Sie den Aufruf in Postman oder in Ihrem Terminal ausführen. Sie sollten eine 200-Antwort sehen, die Sie dann im Tab „Verlauf“ des Workflows validieren können.

Sobald Sie bestätigt haben, dass der Workflow erfolgreich ausgeführt wurde, können Sie die resultierende Webhook-URL kopieren und in Ihren externen Dienst einfügen. Die URL wird ungefähr so aussehen:

```url
https://app.airops.com/public_api/airops_apps/a3cb8474-9ec1-4052-8c54-7cbcb7a4c846/webhook_async_execute?auth_token=your_workspace_token
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/de/aktionen/workflow-concepts/run-once/trigger/incoming-webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
